Get budget alert
curl --request GET \
--url https://api.nops.io/v1/budgets/{id}/alerts/{alertId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"alert": {
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 90,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
Get budget alert
GET
https://api.nops.io
/
v1
/
budgets
/
{id}
/
alerts
/
{alertId}
Get budget alert
curl --request GET \
--url https://api.nops.io/v1/budgets/{id}/alerts/{alertId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"alert": {
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 90,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I